메인 콘텐츠로 건너뛰기
GET
/
v1
/
external
/
workspaces
/
{workspaceGuid}
/
folders
/
tree
Get Folder Tree
curl --request GET \
  --url https://api.tiro.ooo/v1/external/workspaces/{workspaceGuid}/folders/tree \
  --header 'Authorization: Bearer <token>'
{
  "content": [
    {
      "id": "12300",
      "title": "Team Root",
      "parentId": null,
      "depth": 0,
      "isAccessible": true,
      "children": [
        {
          "id": "12345",
          "title": "Weekly Team Meetings",
          "parentId": "12300",
          "depth": 1,
          "isAccessible": true,
          "children": []
        }
      ]
    }
  ]
}

인증

Authorization
string
header
필수

API key in format {id}.{secret}

경로 매개변수

workspaceGuid
string
필수

Workspace GUID. Obtain it from GET /v1/external/workspaces.

응답

Folder tree

content
object[]
필수

Array of items